GuideLab API

List scan inbox items

Retrieve paginated scan inbox items for the current scanner-owning organization. Supports filtering by status, source, and search term, with configurable sorting.

GET
/scan-inbox

Retrieve paginated scan inbox items for the current scanner-owning organization. Supports filtering by status, source, and search term, with configurable sorting.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

page?integer
Range1 <= value
Default1
pageSize?integer
Range1 <= value <= 100
Default20
status?string
search?string
source?string
sortBy?string
Default"createdAt"

Value in

  • "createdAt"
  • "scanDate"
  • "dueDate"
  • "patientName"
sortOrder?string
Default"desc"

Value in

  • "asc"
  • "desc"

Response Body

application/json

curl -X GET "https://example.com/scan-inbox"
{  "items": [    null  ],  "pagination": {    "total": 0,    "page": 0,    "pageSize": 0,    "totalPages": 0  }}
Empty
Empty